Package io.vertx.rxjava3.ext.auth.otp

## Class OtpKeyGenerator

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.otp.OtpKeyGenerator

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class OtpKeyGenerator
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Otp key generator.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<OtpKeyGenerator>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpKeyGenerator​(OtpKeyGenerator delegate)` |
    `OtpKeyGenerator​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OtpKeyGenerator` | `create()` | Creates an instance of OtpKeyGenerator.
    `static OtpKeyGenerator` | `create​(String algorithm)` | Creates an instance of OtpKeyGenerator.
    `boolean` | `equals​(Object o)` |
    `OtpKey` | `generate()` | Generate key with default size;
    `OtpKey` | `generate​(int keySize)` | Generate key
    `String` | `getAlgorithm()` |
    `OtpKeyGenerator` | `getDelegate()` |
    `int` | `hashCode()` |
    `static OtpKeyGenerator` | `newInstance​(OtpKeyGenerator arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OtpKeyGenerator> __TYPE_ARG

  - ### Constructor Detail

    - #### OtpKeyGenerator

          public OtpKeyGenerator​(OtpKeyGenerator delegate)

    - #### OtpKeyGenerator

          public OtpKeyGenerator​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OtpKeyGenerator getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### generate

          public OtpKey generate()

      Generate key with default size;
      Returns:
        `OtpKey`

    - #### generate

          public OtpKey generate​(int keySize)

      Generate key
      Parameters:
        `keySize` - size of key
      Returns:
        `OtpKey`

    - #### getAlgorithm

          public String getAlgorithm()

    - #### create

          public static OtpKeyGenerator create()

      Creates an instance of OtpKeyGenerator.
      Returns:
        the created instance of `OtpKeyGenerator`.

    - #### create

          public static OtpKeyGenerator create​(String algorithm)

      Creates an instance of OtpKeyGenerator.
      Parameters:
        `algorithm` - used hash algorithm.
      Returns:
        the created instance of `OtpKeyGenerator`.

    - #### newInstance

          public static OtpKeyGenerator newInstance​(OtpKeyGenerator arg)